saving . . . saved ipython not running ! has been deleted. ipython not running ! has been hidden .
ipython not running !
Title
Question
C:\Users\HunTex>ipython
Traceback (most recent call last):
  File "J:\lib\site-packages\prompt_toolkit\application\current.py", line 6, in <module>
    from contextvars import ContextVar
ModuleNotFoundError: No module named 'contextvars'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "j:\lib\runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "j:\lib\runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "J:\Scripts\ipython.exe\__main__.py", line 4, in <module>
  File "J:\lib\site-packages\IPython\__init__.py", line 56, in <module>
    from .terminal.embed import embed
  File "J:\lib\site-packages\IPython\terminal\embed.py", line 16, in <module>
    from IPython.terminal.interactiveshell import TerminalInteractiveShell
  File "J:\lib\site-packages\IPython\terminal\interactiveshell.py", line 19, in <module>
    from prompt_toolkit.enums import DEFAULT_BUFFER, EditingMode
  File "J:\lib\site-packages\prompt_toolkit\__init__.py", line 16, in <module>
    from .application import Application
  File "J:\lib\site-packages\prompt_toolkit\application\__init__.py", line 1, in <module>
    from .application import Application
  File "J:\lib\site-packages\prompt_toolkit\application\application.py", line 38, in <module>
    from prompt_toolkit.buffer import Buffer
  File "J:\lib\site-packages\prompt_toolkit\buffer.py", line 28, in <module>
    from .application.current import get_app
  File "J:\lib\site-packages\prompt_toolkit\application\current.py", line 8, in <module>
    from prompt_toolkit.eventloop.dummy_contextvars import ContextVar  # type: ignore
  File "J:\lib\site-packages\prompt_toolkit\eventloop\__init__.py", line 1, in <module>
    from .async_generator import generator_to_async_generator
  File "J:\lib\site-packages\prompt_toolkit\eventloop\async_generator.py", line 5, in <module>
    from typing import AsyncGenerator, Callable, Iterable, TypeVar, Union
ImportError: cannot import name 'AsyncGenerator'

C:\Users\HunTex>

Python-3.4.3 Getting-started-with-IPython 08-09 min 0-10 sec 04-06-21, 11:04 p.m. khushbus152002@gmail.com

Answers:

Log-in to answer to this question.